WordPress 5.0 bij Savvii: Updaten of wachten?

Gijs Hovens, 4 december 2018

WordPress 5.0 wordt, zoals het er nu uitziet, gereleased op donderdag 6 december. Deze versie van WordPress is zeker de meest besproken ooit. Zowel om de baanbrekende nieuwe editing ervaring als om de hoeveelheid bugs en accessibility issues die op dit moment nog open staan. In deze post leggen we kort uit hoe wij als Savvii met deze upgrade omgaan.

WordPress core updates door Savvii

Als je in je control panel ‘core updates’ door Savvii hebt aanstaan zullen wij je website updaten naar WordPress 5.0. Zoals bij elke major release (en dat is 5.0 zeker) wachten we hierbij een paar weken. Die periode geeft thema-, plugin- en core-ontwikkelaars de tijd om de grootste pijnpunten op te lossen die naar voren komen bij een grootschalige release. Concreet betekent dit dat we onze klanten pas op zijn vroegst zullen updaten na 7 januari. Zo voorkomen we grote veranderingen in de feestdagenperiode. Na 7 januari bekijken we de situatie en maken we een inschatting of updaten op dat moment verstandig is.

Zelf WordPress core updaten via een staging website

Uiteraard mag en kun je altijd zelf updaten naar een nieuwe versie. Zoals altijd raden we je aan om zowel de front- en back-end van je website eerst heel goed te testen en je error log te controleren op een Savvii staging-omgeving. Werkt alles goed, zet dan vervolgens je staging-versie over naar je productie-omgeving.

WordPress updaten naar 5.0 en toch de oude editor behouden

Wil je wel graag updaten naar 5.0 maar toch nog de beschikking houden over de oude editor? Dat kan! Installeer in dat geval de ‘Classic Editor’ plugin. De classic editor wordt voorlopig nog ondersteund door WordPress. Op termijn moet en gaat iedereen over naar Gutenberg. Maak dus een plan hoe je dat voor jezelf en/of je klanten gaat doen.

Kiezen waar je Gutenberg wil gebruiken

Ben je er tijdens het testen achter gekomen dat Gutenberg wel werkt voor sommige post types en weer niet voor andere? Met de Gutenberg Ramp plugin van Automattic kun je Gutenberg selectief activeren voor bepaalde post of page types. Je hebt de Classic Editor plugin nodig om Gutenberg Ramp correct te laten werken.

TL;DR

Als je, net als wij, een drukke periode hebt in december, raden we je aan januari af te wachten voordat je naar WordPress 5.0 gaat updaten. Zeer waarschijnlijk zijn er tegen die tijd al patches uitgebracht van WordPress core, plugins en thema’s die de belangrijkste issues oplossen.

Reageer